package initialize

import (
	"gitea.pena/PenaSide/treasurer/internal/errors"
	"gitea.pena/PenaSide/treasurer/internal/interface/swagger"
)

func NewAPI(controllers *Controllers) (*swagger.API, errors.Error) {
	return swagger.New(swagger.Deps{
		CommonController:       controllers.CommonREST,
		YandexStatusController: controllers.YandexStatusREST,
	})
}
