# treasurer

Сервис платёжки

| Branch  |                                                                                      Pipeline                                                                                      |                                                                                                                                                                               Code coverage |
| ------- | :--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
| master  | [![pipeline status](https://penahub.gitlab.yandexcloud.net/external/treasurer/badges/master/pipeline.svg)](https://penahub.gitlab.yandexcloud.net/external/treasurer/-/pipelines)  |  [![coverage report](https://penahub.gitlab.yandexcloud.net/external/treasurer/badges/master/coverage.svg?job=test)](https://penahub.gitlab.yandexcloud.net/external/treasurer/-/pipelines) |
| staging | [![pipeline status](https://penahub.gitlab.yandexcloud.net/external/treasurer/badges/staging/pipeline.svg)](https://penahub.gitlab.yandexcloud.net/external/treasurer/-/pipelines) | [![coverage report](https://penahub.gitlab.yandexcloud.net/external/treasurer/badges/staging/coverage.svg?job=test)](https://penahub.gitlab.yandexcloud.net/external/treasurer/-/pipelines) |
| dev     |   [![pipeline status](https://penahub.gitlab.yandexcloud.net/external/treasurer/badges/dev/pipeline.svg)](https://penahub.gitlab.yandexcloud.net/external/treasurer/-/pipelines)   |     [![coverage report](https://penahub.gitlab.yandexcloud.net/external/treasurer/badges/dev/coverage.svg?job=test)](https://penahub.gitlab.yandexcloud.net/external/treasurer/-/pipelines) |

## Переменные окружения приложения

```
HTTP_HOST  - хост приложения (HTTP)
HTTP_PORT  - порт приложения (HTTP)
HTTP_DOMEN - домен приложения (HTTP)

GRPC_HOST - хост приложения (GRPC)
GRPC_PORT - порт приложения (GRPC)

MONGO_HOST     - хост MongoDB
MONGO_PORT     - порт MongoDB
MONGO_USER     - пользователь MongoDB
MONGO_DB_NAME  - название базы данных для подключения
MONGO_PASSWORD - пароль пользователя MongoDB
MONGO_AUTH     - имя базы данных Mongo, по которой будет производится авторизация

IS_MOCK - отвечает за инициализацию настроек моков в моковом сервисе (true | false)
MOCK_SERVICE_HOST - хост сервиса моков

YOOMONEY_STORE_ID   - id магазина, зарегистрированного на yoomoney
YOOMONEY_SECRET_KEY - секретный ключ yoomoney
YOOMONEY_WEBHOOKS_URL - адрес к обработчику вебхуков yoomoney
YOOMONEY_PAYMENTS_URL - адрес к обработчику платажей yoomoney
```
