package initialize

import (
	"gitea.pena/PenaSide/treasurer/internal/models"
	"gitea.pena/PenaSide/treasurer/pkg/env"
)

func Configuration(path string) (*models.Config, error) {
	config, err := env.Parse[models.Config](path)
	if err != nil {
		return nil, err
	}

	return config, nil
}
