package yandex

type ConfirmationType string

const (
	ConfirmationTypeRedirect ConfirmationType = "redirect"
)

type ConfirmationRedirect struct {
	Type            ConfirmationType `json:"type"`
	ConfirmationURL string           `json:"confirmation_url"`
	ReturnURL       *string          `json:"return_url,omitempty"`
	Enforce         *bool            `json:"enforce,omitempty"`
}

type CreateConfirmationRedirect struct {
	Type      ConfirmationType `json:"type"`
	Locale    string           `json:"locale,omitempty"`
	ReturnURL string           `json:"return_url"`
	Enforce   bool             `json:"enforce,omitempty"`
}
