package utils

import (
	"fmt"

	"github.com/google/uuid"
)

func GenerateUUID() (result string, err error) {
	defer func() {
		if recovered := recover(); recovered != nil {
			err = fmt.Errorf("recovered generateUUID error: %v", recovered)
		}
	}()

	generatedUUID := uuid.New()

	return generatedUUID.String(), nil
}
